/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.client;

import com.vaadin.terminal.gwt.client.ValueMap;

public class TableExporter {

	private boolean enableExportCsvFile = false;
	private boolean enableExportMdbFile = false;
	private boolean enableExportPdfFile = false;
	private boolean enableExportXlsFile = false;

	public void process(ValueMap export) {
		if (export == null || export.getKeySet().size() == 0) {
			return;
		}

		if (export.containsKey("enableExportCsvFile")) {
			enableExportCsvFile = export.getBoolean("enableExportCsvFile");
		}

		if (export.containsKey("enableExportMdbFile")) {
			enableExportMdbFile = export.getBoolean("enableExportMdbFile");
		}

		if (export.containsKey("enableExportPdfFile")) {
			enableExportPdfFile = export.getBoolean("enableExportPdfFile");
		}

		if (export.containsKey("enableExportXlsFile")) {
			enableExportXlsFile = export.getBoolean("enableExportXlsFile");
		}
	}

	public boolean isEnabledExportCsvFile() {
		return enableExportCsvFile;
	}

	public boolean isEnabledExportMdbFile() {
		return enableExportMdbFile;
	}

	public boolean isEnabledExportPdfFile() {
		return enableExportPdfFile;
	}

	public boolean isEnabledExportXlsFile() {
		return enableExportXlsFile;
	}

}
