/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.component;

import org.dussan.vaadin.dtable.config.TableConfig;
import org.dussan.vaadin.dtable.properties.TableProperties;
import org.dussan.vaadin.dtable.translations.Translation;
import org.dussan.vaadin.dtable.windows.exporter.TableExporter;

import com.vaadin.ui.AbstractComponent;

@SuppressWarnings("serial")
public class DTableComponent extends AbstractComponent {

	private Translation translation = new Translation();
	private TableExporter tableExporter = new TableExporter();
	private TableConfig tableConfig = new TableConfig();
	private TableProperties tableProperties = new TableProperties();

	public Translation getTranslation() {
		return translation;
	}

	public void setTranslation(Translation translation) {
		this.translation = translation != null ? translation : this.translation;
	}

	public TableExporter getTableExporter() {
		return tableExporter;
	}

	public void setTableExporter(TableExporter tableExporter) {
		this.tableExporter = tableExporter != null ? tableExporter
				: this.tableExporter;
	}

	public TableConfig getTableConfig() {
		return tableConfig;
	}

	public void setTableConfig(TableConfig tableConfig) {
		this.tableConfig = tableConfig != null ? tableConfig : this.tableConfig;
	}

	public TableProperties getTableProperties() {
		return tableProperties;
	}

	public void setTableProperties(TableProperties tableProperties) {
		this.tableProperties = tableProperties != null ? tableProperties
				: this.tableProperties;
	}

}
